Bug 1151558 - server:monitoring/golang-github-prometheus-node_exporter: Bug: rpm includes sources
server:monitoring/golang-github-prometheus-node_exporter: Bug: rpm includes s...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Other
Leap 15.2
x86-64 openSUSE Leap 15.2
: P5 - None : Normal (vote)
: ---
Assigned To: Witek Bedyk
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-22 20:44 UTC by Martin Schröder
Modified: 2022-06-20 16:22 UTC (History)
2 users (show)

See Also:
Found By: Community User
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schröder 2019-09-22 20:44:00 UTC
The rpm for the node exporter includes all sources (under /usr/share/go/1.11/contrib/src/github.com/prometheus/node_exporter). This does not belong in program rpm.
Comment 1 Martin Schröder 2020-11-19 23:56:05 UTC
This bug is still present in 

Version     : 1.0.1
Release     : lp152.16.1
Architecture: x86_64
Install Date: Do 12 Nov 2020 16:30:32 CET
Source RPM  : golang-github-prometheus-node_exporter-1.0.1-lp152.16.1.src.rpm

> du -sh /usr/share/go/1.14/contrib/src/github.com/prometheus/node_exporter/
16M     /usr/share/go/1.14/contrib/src/github.com/prometheus/node_exporter/
Comment 2 Martin Schröder 2020-11-20 00:09:37 UTC
This does not only affect the package in server/monitoring, but also the normal package: 

> rpm -qi golang-github-prometheus-node_exporter
Name        : golang-github-prometheus-node_exporter
Version     : 1.0.1
Release     : lp152.3.6.1
Architecture: x86_64
Install Date: Fr 20 Nov 2020 01:03:50 CET
Group       : System/Management
Size        : 36425186
License     : Apache-2.0
Signature   : RSA/SHA256, Fr 02 Okt 2020 23:03:35 CEST, Key ID b88b2fd43dbdc284
Source RPM  : golang-github-prometheus-node_exporter-1.0.1-lp152.3.6.1.src.rpm
Build Date  : Fr 02 Okt 2020 23:02:31 CEST
Build Host  : build73
Relocations : (not relocatable)
Packager    : http://bugs.opensuse.org
Vendor      : openSUSE
URL         : https://prometheus.io/
Summary     : Prometheus exporter for machine metrics
Description :
Prometheus exporter for hardware and OS metrics exposed by *NIX kernels, written in Go with pluggable metric collectors.
Distribution: openSUSE Leap 15.2

> du -sh /usr/share/go/1.14/contrib/src/github.com/prometheus/node_exporter/
16M     /usr/share/go/1.14/contrib/src/github.com/prometheus/node_exporter/

Where can I find the small package software announces?
https://software.opensuse.org/package/golang-github-prometheus-node_exporter?search_term=golang-github-prometheus-node_exporter
"Version 1.0.1 Größe 737 KB openSUSE Leap 15.2"
Comment 3 Witek Bedyk 2021-02-24 15:47:26 UTC
Bugfix SR https://build.opensuse.org/request/show/874899
Comment 4 Witek Bedyk 2021-03-09 14:21:12 UTC
Updated SR https://build.opensuse.org/request/show/878015
Comment 5 Witek Bedyk 2021-04-07 10:44:43 UTC
Maintenance request for Leap 15.2 submitted:

https://build.opensuse.org/request/show/883575
Comment 6 Swamp Workflow Management 2021-04-10 22:15:35 UTC
openSUSE-RU-2021:0534-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1151558
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    golang-github-prometheus-node_exporter-1.1.2-lp152.3.9.1
openSUSE Backports SLE-15-SP3 (src):    system-user-grafana-1.0.0-bp153.2.1
Comment 9 Swamp Workflow Management 2021-05-05 16:21:04 UTC
SUSE-RU-2021:1510-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1151558,1181124,1183959
CVE References: 
JIRA References: 
Sources used:
SUSE Manager Tools 12-BETA (src):    golang-github-prometheus-node_exporter-1.1.2-4.9.1, golang-github-prometheus-prometheus-2.22.1-4.15.1, grafana-7.4.2-4.12.1, mgr-daemon-4.2.6-4.9.1, rhnlib-4.2.3-24.15.1, spacecmd-4.2.7-41.21.1, spacewalk-client-tools-4.2.9-55.27.1, suseRegisterInfo-4.2.3-28.12.1, zypp-plugin-spacewalk-1.0.9-33.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Witek Bedyk 2021-05-07 08:06:51 UTC
Maintanance requests submitted to:

* openSUSE:Leap:15.2:Update https://build.opensuse.org/request/show/883575
* SUSE:SLE-15-SP1:Update https://build.suse.de/request/show/239525
Comment 16 Swamp Workflow Management 2021-06-21 22:17:41 UTC
SUSE-RU-2021:2099-1: An update that has 38 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1151558,1172711,1175216,1178767,1180673,1180994,1182744,1182954,1183573,1183649,1183845,1183864,1184005,1184286,1184311,1184332,1184351,1184361,1184471,1184475,1184561,1184617,1184849,1184892,1184929,1184940,1185042,1185097,1185281,1185506,1185568,1185965,1186025,1186124,1186346,1186508,1186765,1186858
CVE References: 
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    release-notes-susemanager-4.1.8.1-3.52.1
SUSE Manager Retail Branch Server 4.1 (src):    release-notes-susemanager-proxy-4.1.8-3.35.1
SUSE Manager Proxy 4.1 (src):    release-notes-susemanager-proxy-4.1.8-3.35.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2021-06-21 22:23:09 UTC
SUSE-SU-2021:2098-1: An update that solves two vulnerabilities and has 35 fixes is now available.

Category: security (moderate)
Bug References: 1151558,1172711,1175216,1178767,1180673,1182744,1183573,1183649,1183845,1183864,1184005,1184286,1184311,1184332,1184351,1184361,1184471,1184475,1184561,1184617,1184849,1184892,1184929,1184940,1185042,1185097,1185281,1185506,1185568,1185965,1186025,1186124,1186346,1186508,1186765,1186852,1186858
CVE References: CVE-2021-28657,CVE-2021-31607
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for SUSE Manager Server 4.1 (src):    cobbler-3.0.0+git20190806.32c4bae0-5.11.1, golang-github-prometheus-node_exporter-1.1.2-3.6.5, grafana-formula-0.4.1-3.9.2, patterns-suse-manager-4.1-6.9.2, prometheus-exporters-formula-0.9.1-3.22.1, py26-compat-salt-2016.11.10-6.14.2, py27-compat-salt-3000.3-6.3.2, spacewalk-admin-4.1.9-3.12.2, spacewalk-backend-4.1.25-4.32.6, spacewalk-branding-4.1.12-3.12.2, spacewalk-certs-tools-4.1.17-3.17.2, spacewalk-java-4.1.36-3.44.1, spacewalk-utils-4.1.16-3.18.2, spacewalk-web-4.1.26-3.24.8, susemanager-4.1.26-3.25.1, susemanager-build-keys-15.2.4-3.17.1, susemanager-doc-indexes-4.1-11.34.8, susemanager-docs_en-4.1-11.34.2, susemanager-schema-4.1.21-3.30.6, susemanager-sls-4.1.28-3.42.1, susemanager-sync-data-4.1.14-3.23.2, tika-core-1.26-3.5.2, uyuni-common-libs-4.1.8-3.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 18 Swamp Workflow Management 2021-06-21 22:28:36 UTC
SUSE-RU-2021:2101-1: An update that has 8 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1151558,1173557,1177884,1177928,1180583,1180584,1180585,1185178
CVE References: 
JIRA References: 
Sources used:
SUSE Manager Tools 12 (src):    golang-github-prometheus-node_exporter-1.1.2-1.12.1, golang-github-prometheus-prometheus-2.26.0-1.24.1, mgr-cfg-4.2.2-1.15.1, mgr-custom-info-4.2.1-1.9.1, mgr-daemon-4.2.7-1.26.1, mgr-osad-4.2.5-1.27.1, mgr-push-4.2.2-1.9.1, mgr-virtualization-4.2.1-1.17.1, python-hwdata-2.3.5-12.6.1, rhnlib-4.2.3-21.31.1, spacecmd-4.2.8-38.82.1, spacewalk-client-tools-4.2.10-52.50.1, spacewalk-koan-4.2.3-24.21.1, spacewalk-oscap-4.2.1-19.15.1, spacewalk-remote-utils-4.2.1-24.18.1, supportutils-plugin-susemanager-client-4.2.2-6.21.1, suseRegisterInfo-4.2.3-25.15.1, uyuni-common-libs-4.2.3-1.12.1
SUSE Linux Enterprise Server 12-SP5 (src):    golang-github-prometheus-node_exporter-1.1.2-1.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 19 Swamp Workflow Management 2021-06-21 22:30:30 UTC
SUSE-RU-2021:2098-1: An update that has 6 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1151558,1182954,1183864,1184351,1185097,1185568
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.1 (src):    golang-github-prometheus-node_exporter-1.1.2-3.6.5, patterns-suse-manager-4.1-6.9.2, spacewalk-backend-4.1.25-4.32.6, spacewalk-certs-tools-4.1.17-3.17.2, spacewalk-proxy-4.1.5-3.12.2, spacewalk-web-4.1.26-3.24.8, susemanager-build-keys-15.2.4-3.17.1, uyuni-common-libs-4.1.8-3.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 20 Swamp Workflow Management 2021-06-21 22:33:47 UTC
SUSE-RU-2021:2107-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1151558
CVE References: 
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    golang-github-prometheus-node_exporter-1.1.2-3.9.3
SUSE Manager Retail Branch Server 4.0 (src):    golang-github-prometheus-node_exporter-1.1.2-3.9.3
SUSE Manager Proxy 4.0 (src):    golang-github-prometheus-node_exporter-1.1.2-3.9.3
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    golang-github-prometheus-node_exporter-1.1.2-3.9.3
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    golang-github-prometheus-node_exporter-1.1.2-3.9.3
SUSE Linux Enterprise Server 15-SP1-BCL (src):    golang-github-prometheus-node_exporter-1.1.2-3.9.3
SUSE Linux Enterprise Module for SUSE Manager Server 4.0 (src):    golang-github-prometheus-node_exporter-1.1.2-3.9.3
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.0 (src):    golang-github-prometheus-node_exporter-1.1.2-3.9.3
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    golang-github-prometheus-node_exporter-1.1.2-3.9.3
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    golang-github-prometheus-node_exporter-1.1.2-3.9.3
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    golang-github-prometheus-node_exporter-1.1.2-3.9.3
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    golang-github-prometheus-node_exporter-1.1.2-3.9.3
SUSE Enterprise Storage 6 (src):    golang-github-prometheus-node_exporter-1.1.2-3.9.3
SUSE CaaS Platform 4.0 (src):    golang-github-prometheus-node_exporter-1.1.2-3.9.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 21 Swamp Workflow Management 2021-07-11 13:52:53 UTC
openSUSE-RU-2021:2107-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1151558
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    golang-github-prometheus-node_exporter-1.1.2-3.9.3
Comment 23 Swamp Workflow Management 2022-06-20 16:22:43 UTC
SUSE-SU-2022:2137-1: An update that solves one vulnerability, contains two features and has two fixes is now available.

Category: security (important)
Bug References: 1151558,1190535,1196338
CVE References: CVE-2022-21698
JIRA References: SLE-24238,SLE-24239
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    golang-github-prometheus-node_exporter-1.3.0-150000.3.12.1
SUSE Linux Enterprise Server 15-LTSS (src):    golang-github-prometheus-node_exporter-1.3.0-150000.3.12.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    golang-github-prometheus-node_exporter-1.3.0-150000.3.12.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    golang-github-prometheus-node_exporter-1.3.0-150000.3.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.